Bug 92443 - [patch] remove .error from all port Makefiles
Summary: [patch] remove .error from all port Makefiles
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-28 03:40 UTC by Mark Linimon
Modified: 2006-02-14 04:41 UTC (History)
0 users

See Also:


Attachments
file.diff (21.69 KB, patch)
2006-01-28 03:40 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2006-01-28 03:40:02 UTC
The use of .error in port Makefiles has been discouraged for some time
as it introduces fragility into the 'make index' process.  This patch
removes the last vestiges from the various port Makefiles.
Comment 1 gnats freebsd_committer 2006-01-28 04:04:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

I originated this. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=92443 

Adding to audit trail from misfiled PR ports/92447:

Date: Sat, 28 Jan 2006 07:30:47 +0100
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2006-02-03 02:22:50 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-02-14 04:40:20 UTC
State Changed
From-To: analyzed->closed

Partially committed. 

The analysis is that it is correct to use .error in the case where a USE_* 
variable is set, because in that case 'make index' _should_ fail.  However, 
any _legal_ user-variable set should _not_ cause it to fail. 

Analysis by:	kris